Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.raster
Class Text2Tiff

    java.lang.Object
      org.deegree.tools.raster.Text2Tiff

    public class Text2Tiff

extends Object

This class converts geodata and special values from a simple text file format to a .tiff file format. The values are written as 32 bit float values. The `main` method should be used to utilise this class as a command line tool.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`Text2Tiff(String[] args)` The only constructor, called usually by the main method with command line arguments.

Method Summary
`static void` | `main(String[] args)` This method is used from the command line.
`void` | `printUsage(String error)` Prints out an error message and general usage information of the tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Text2Tiff

    public Text2Tiff(String[] args)

  The only constructor, called usually by the main method with command line arguments.

  Parameters:
    `args` -

Method Detail

### printUsage

    public void printUsage(String error)

  Prints out an error message and general usage information of the tool.

  Parameters:
    `error` - an error message

### main

    public static void main(String[] args)

  This method is used from the command line.

  Parameters:
    `args` - the command line arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org